
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Python Module Index &#8212; EMULSION (Epidemiological Multi-Level Simulation framework)</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="shortcut icon" href="_static/STEMAH-favicon.png"/>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />

   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />



  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

   <h1>Python Module Index</h1>

   <div class="modindex-jumpbox">
   <a href="#cap-e"><strong>e</strong></a>
   </div>

   <table class="indextable modindextable">
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-e"><td></td><td>
       <strong>e</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-1" style="display: none" alt="-" /></td>
       <td>
       <a href="emulsion.html#module-emulsion"><code class="xref">emulsion</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.html#module-emulsion.agent"><code class="xref">emulsion.agent</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.html#module-emulsion.agent.action"><code class="xref">emulsion.agent.action</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.html#module-emulsion.agent.atoms"><code class="xref">emulsion.agent.atoms</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.html#module-emulsion.agent.comparts"><code class="xref">emulsion.agent.comparts</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.core.html#module-emulsion.agent.core"><code class="xref">emulsion.agent.core</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.core.html#module-emulsion.agent.core.abstract_agent"><code class="xref">emulsion.agent.core.abstract_agent</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.core.html#module-emulsion.agent.core.asbtract_agent"><code class="xref">emulsion.agent.core.asbtract_agent</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.core.html#module-emulsion.agent.core.emulsion_agent"><code class="xref">emulsion.agent.core.emulsion_agent</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.core.html#module-emulsion.agent.core.groups"><code class="xref">emulsion.agent.core.groups</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.html#module-emulsion.agent.exceptions"><code class="xref">emulsion.agent.exceptions</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.managers.html#module-emulsion.agent.managers"><code class="xref">emulsion.agent.managers</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.managers.html#module-emulsion.agent.managers.abstract_process_manager"><code class="xref">emulsion.agent.managers.abstract_process_manager</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.managers.html#module-emulsion.agent.managers.compart_process_manager"><code class="xref">emulsion.agent.managers.compart_process_manager</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.managers.html#module-emulsion.agent.managers.functions"><code class="xref">emulsion.agent.managers.functions</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.managers.html#module-emulsion.agent.managers.group_manager"><code class="xref">emulsion.agent.managers.group_manager</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.managers.html#module-emulsion.agent.managers.ibm_process_manager"><code class="xref">emulsion.agent.managers.ibm_process_manager</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.managers.html#module-emulsion.agent.managers.metapop_process_manager"><code class="xref">emulsion.agent.managers.metapop_process_manager</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.managers.html#module-emulsion.agent.managers.multi_process_manager"><code class="xref">emulsion.agent.managers.multi_process_manager</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.html#module-emulsion.agent.meta"><code class="xref">emulsion.agent.meta</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.html#module-emulsion.agent.process"><code class="xref">emulsion.agent.process</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.agent.html#module-emulsion.agent.views"><code class="xref">emulsion.agent.views</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.html#module-emulsion.init_emulsion"><code class="xref">emulsion.init_emulsion</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.model.html#module-emulsion.model"><code class="xref">emulsion.model</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.model.html#module-emulsion.model.emulsion_model"><code class="xref">emulsion.model.emulsion_model</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.model.html#module-emulsion.model.exceptions"><code class="xref">emulsion.model.exceptions</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.model.html#module-emulsion.model.functions"><code class="xref">emulsion.model.functions</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.model.html#module-emulsion.model.state_machines"><code class="xref">emulsion.model.state_machines</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools"><code class="xref">emulsion.tools</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.calendar"><code class="xref">emulsion.tools.calendar</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.functions"><code class="xref">emulsion.tools.functions</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.getters"><code class="xref">emulsion.tools.getters</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.graph"><code class="xref">emulsion.tools.graph</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.misc"><code class="xref">emulsion.tools.misc</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.parallel"><code class="xref">emulsion.tools.parallel</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.plot"><code class="xref">emulsion.tools.plot</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.simulation"><code class="xref">emulsion.tools.simulation</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.state"><code class="xref">emulsion.tools.state</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.timing"><code class="xref">emulsion.tools.timing</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="emulsion.tools.html#module-emulsion.tools.view"><code class="xref">emulsion.tools.view</code></a></td><td>
       <em></em></td></tr>
   </table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">EMULSION</a></h1>



<p class="blurb">Epidemiological Multi-Level Simulation Framework</p>






<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="pages/Information.html">1. Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Install.html">2. Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Getting_started.html">3. Getting started with EMULSION</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Modelling_principles.html">4. Modelling principles</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Modelling_language_basics.html">5. Modelling language (basics)</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Modelling_language_advanced.html">6. Modelling language (advanced)</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Feature_examples.html">7. Feature examples</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/Release_notes.html">8. Release notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="pages/License.html">9. License</a></li>
<li class="toctree-l1"><a class="reference internal" href="emulsion_for_modellers.html">10. High-level functions for model designers</a></li>
<li class="toctree-l1"><a class="reference internal" href="emulsion.html">11. emulsion package</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2016, INRAE and Univ. Lille.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.5</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
    </div>

    

    
  </body>
</html>